Page MenuHomePhabricator

[LoopVectorize] Factor out a global emitLoopAnalysis
ClosedPublic

Authored by anemet on Jan 29 2015, 4:52 PM.

Details

Summary

The logic in emitAnalysis is duplicated across multiple functions. This
splits it into a global function. Another use will be added by the patchset.

NFC. This is part of the patchset that splits out the memory dependence logic
from LoopVectorizationLegality into a new class LoopAccessAnalysis.
LoopAccessAnalysis will be used by the new Loop Distribution pass.

Diff Detail

Event Timeline

anemet updated this revision to Diff 19009.Jan 29 2015, 4:52 PM
anemet retitled this revision from to [LoopVectorize] Factor out a global emitLoopAnalysis.
anemet updated this object.
anemet edited the test plan for this revision. (Show Details)
anemet added reviewers: hfinkel, aschwaighofer.
anemet added a subscriber: Unknown Object (MLST).
hfinkel accepted this revision.Jan 30 2015, 4:45 AM
hfinkel edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Jan 30 2015, 4:45 AM
anemet updated this revision to Diff 19101.Jan 31 2015, 3:58 PM
anemet edited edge metadata.

Addresses Hal's comment from D7285: change this to Report::emitAnalysis rather
than a global function so that it's more hidden when this all becomes public.

anemet closed this revision.Feb 2 2015, 11:59 AM

r227748